form {
  @extend %flexbox;
  @include flex-direction(column);
  @include align-items(flex-start);
  width: 100%;
  .form-separator {
    @extend %flexbox;
    width: 100%;
    border-bottom: $form-separator-border;
    margin: $form-separator-margin;
    + .form-block {
      padding-top: 0;
    }
  }
}

.form-title {
  color: $form-title-color;
  font-size: $form-title-size;
  font-weight: $form-title-weight;
  margin: $form-title-margin;
  padding: $form-title-padding;
  width: $form-title-width;
  border-width: $form-title-border-width;
  border-style: $form-title-border-style;
  border-color: $form-title-border-color;
}

.form-block {
  width: 100%;
  @extend %flexbox;
  .field-group-icon {
    @extend %flexbox;
    @include justify-content(center);
    width: 80px;
    i {
      font-size: 30px;
    }
  }
  padding: $form-block-padding;
  margin: $form-block-margin;
  border-width: $form-block-border-width;
  border-style: $form-block-border-style;
  border-color: $form-block-border-color;
  &:last-child {
    border-bottom: none;
    margin-bottom: 0;
    padding-bottom: 0;
  }
}

.block-fields-groups { width: 100%; }

.fields-group {
  @extend %flexbox;
  @include flex-direction(column);
  @include justify-content(flex-start);
  @include align-items(flex-start);
  @include media-breakpoint-up(sm) {
    margin: 0 (-$field-margin);
    @include flex-direction(row);
  }
  &.inline {
    margin: 0 (-$field-margin);
    @include flex-direction(row);
    .field {
      margin-left: $field-margin;
      margin-right: $field-margin;
    }
  }
  &.nolabel {
    label { display: none; }
    label.label-option { display: block; }
  }
  &.stretch { @include align-items(stretch); }
  &.center { @include align-items(center); }
  &.space-between { @include justify-content(space-between); }
  a {
    margin: $form-field-margin;
  }
  .field {
   @include media-breakpoint-up(sm) {
      margin-left: $field-margin;
      margin-right: $field-margin;
    }
  }
  .fields-group {
    @include flex(1);
    margin: 0;
   @include media-breakpoint-up(sm) {
      padding-left: $field-margin;
    }
    .field:first-child {
      margin-left: 0;
    }
  }
}

.field {
  @extend %flexbox;
  @include flex-direction(column);
  @include align-items(flex-start);
  @include justify-content(center);
  flex: 1;
  width: 100%;
  position: relative;
  margin: $form-field-margin;
  label {
    @include order(-1);
  }
  &.inline {
    @include flex-direction(row);
    @include align-items(center);
    @include justify-content(flex-start);
    &.reverse {
      label {
        order: 0;
      }
    }
    label {
      white-space: nowrap;
      margin: 0;
      margin-right: 16px;
    }
  }
  &.field-checkbox {
    @include flex-direction(row);
    @include align-items(center);
    @include justify-content(flex-start);
    label {
      order: 1;
      margin-bottom: 0;
      // margin-left: 10px;
    }
  }
  &.read-only {
    opacity: .7;
    input, textarea, select {
      cursor: not-allowed;
    }
  }
  &.field-flex-0 {
    @include flex(0);
  }
  &.field-floor {
    @include flex(0);
   @include media-breakpoint-up(sm) {
      @include flex-basis(100px);
    }
    &.inline {
     @include media-breakpoint-up(sm) {
        @include flex-basis(0);
      }
      input {
        width: 60px;
        text-align: right;
      }
      label {
        width: 60px;
        @include flex-basis(60px);
      }
    }
  }
  &.field-civility {
    @include flex(0);
   @include media-breakpoint-up(sm) {
      @include flex-basis(94px);
    }
    &.inline {
      @include flex-basis(0);
      input {
        width: 94px;
      }
    }
  }
  &.field-cp {
    @include flex(0);
   @include media-breakpoint-up(sm) {
      @include flex-basis(90px);
    }
    &.inline {
      @include flex-basis(0);
      input {
        width: 80px;
      }
    }
  }
  &.field-date {
    @include flex(0);
   @include media-breakpoint-up(sm) {
      @include flex-basis(106px);
    }
    &.inline {
      @include flex-basis(0);
      input {
        width: 100px;
      }
    }
  }
  &.field-indicatif {
    @include flex(0);
   @include media-breakpoint-up(sm) {
      @include flex-basis(58px);
    }
    &.inline {
      @include flex-basis(0);
      input {
        width: 58px;
      }
    }
  }
  &.field-type-email {
    @include flex(0);
   @include media-breakpoint-up(sm) {
      @include flex-basis(160px);
    }
    &.inline {
      @include flex-basis(0);
      input {
        width: 160px;
      }
    }
  }
  &.field-type-tel {
    @include flex(0);
   @include media-breakpoint-up(sm) {
      @include flex-basis(144px);
    }
    &.inline {
      @include flex-basis(0);
      input {
        width: 144px;
      }
    }
  }
  &.field-tel {
    @include flex(0);
   @include media-breakpoint-up(sm) {
      @include flex-basis(126px);
    }
    &.inline {
      @include flex-basis(0);
      input {
        width: 105px;
      }
    }
  }
  &.field-roles {
    @include flex(0);
   @include media-breakpoint-up(sm) {
      @include flex-basis(165px);
    }
    &.inline {
      @include flex-basis(100%);
      input {
        width: 105px;
      }
    }
  }
  .field-radio-list {
    @extend %flexbox;
    @include flex-direction(column);
    @include flex-wrap(wrap);
   @include media-breakpoint-up(sm) {
      @include flex-direction(row);
    }
    &.column {
      @include flex-direction(column);
      .field-radio {
        margin-left: 0;
      }
    }
    &.field-radio-list-styled {
      .field-radio {
        @include flex(1);
        @include align-items(stretch);
        margin: 0;
        color: #ccc;
        padding: 0;
        input {
          -webkit-appearance: none;
          -moz-appearance: none;
          appearance: none;
          display: none;
          &:checked + label {
            border-color: $third-color;
            position: relative;
          }
          + label {
            @extend %flexbox;
            @include align-items(center);
            @include justify-content(center);
            @include flex(1);
            border: 1px solid;
            padding: 10px 0;
            text-align: center;
            margin: 0 -1px;
            background: #fff;
            &:first-child {
              margin-left: 0
            }
            &:last-child {
              margin-right: 0;
            }
          }
        }
      }
    }
  }
  .field-radio {
    @extend %flexbox;
    @include align-items(center);
    margin-bottom: 10px;
   @include media-breakpoint-up(sm) {
      padding-right: 30px;
    }

    label, input { cursor: pointer; }
    label {
      @include order(0);
      margin: 0;
      padding-left: 10px;
    }
    input:checked + label {
      color: $third-color;
    }
  }
}


.field {
  .fields-group {
    width: 100%;
    .field {
      margin-bottom: 0;
    }
  }
}

.field .canvas-block {
  width: 100%;
  background: white;
}

.react-select,
.react-datepicker-wrapper,
.react-datepicker-wrapper > div {
  width: 100%;
}
